# -*- coding: utf-8 -*-
from setuphelpers import *

bin_path = makepath("/", "usr", "local", "bin")
app_path = "/opt/openrefine"


def install():
    version = control.version.split('-')[0]

    # Extraction and copying to /opt/openrefine
    extract_path = glob.glob("*.tar.gz")[0]
    run(f"tar -xzvf {extract_path}")
    bin_name = glob.glob(f"openrefine-{version}")[0]
    print(f"copying openrefine to {app_path}")
    if not isdir(app_path):
        mkdirs(app_path)
    copytree2(bin_name, app_path)
    
    # Creation symlink
    symlink_path = f"{bin_path}/openrefine"
    if isfile(symlink_path) or os.path.islink(symlink_path):
        print("Symlink already exists, removing it")
        os.remove(symlink_path)
    
    print("create openrefine alias in path")
    os.symlink(f"{app_path}/openrefine", symlink_path)
    
    if isdir(extract_path):
        remove_tree(extract_path)

    

def uninstall():
    # Removing of symlink
    if isfile(f"{bin_path}/openrefine"):
        remove_file(f"{bin_path}/openrefine")
    # Removing of the software 
    if isdir(app_path):
        remove_tree(app_path)